NX9+VS2012 #include <uf.h> #include <uf_ui.h> UF_initialize(); //方法1(uc1601) uc1601();//打印 //方法2(UF_UI_write_listing_window) UF_UI_open_listing_window();//打开窗口 UF_UI_write_listing_window("HelloWorld");//打印 UF_terminate();…
#include <uf.h> #include <uf_ui.h> UF_initialize(); //打开信息窗口 UF_UI_open_listing_window(); //将文本写入信息窗口 UF_UI_write_listing_window("); //关闭信息窗口 UF_UI_close_listing_window(); //查询信息窗口是否打开 logical response; UF_UI_is_listing_window_open(&r…
#include <uf.h> #include <uf_ui.h> UF_initialize(); //打开信息窗口 UF_UI_open_listing_window(); //将文本写入信息窗口 UF_UI_write_listing_window("); //关闭信息窗口 UF_UI_close_listing_window(); UF_terminate(); Caesar卢尚宇 2019年7月15日…
NX9+VS2012 #include <uf.h> #include <uf_view.h> #include <uf_modl.h> UF_initialize(); //创建块 UF_FEATURE_SIGN Sign = UF_NULLSIGN; ] = {0.0, 0.0, 0.0}; ] = {"}; tag_t BlkTag = NULL_TAG; UF_MODL_create_block1(Sign, CornerPt, EdgeLen, &a…
今天是国庆节,放假休息懒得动,没有出去玩,在家研究一下发射线函数UF_MODL_trace_a_ray.小弟以前在软件公司混的时候,当时我做的那个项目就用到了UF_MODL_trace_a_ray,当时为了赶项目,从别处抄了代码,改吧改吧.自己也没有仔细的去研究一下这个函数的用法.UF_MODL_trace_a_ray在NX二次开发中算是一个用到比较高频的函数,今天研究了一下,写了一道例题,UFUN和NXOpen C++简单混合去用了一下,大致介绍下函数的用法.如有错误,还请各位前辈多多指教小弟…
UF公共类型 UF_begin_timer计时函数 https://www.cnblogs.com/nxopen2018/p/10957135.html UF_end_timer计时函数 https://www.cnblogs.com/nxopen2018/p/11099462.html UF_initialize初始化 https://www.cnblogs.com/nxopen2018/p/10952538.html UF_terminate终止  https://www.cnblogs.c…
NX11+VS2013 #include <uf.h> #include <uf_curve.h> #include <uf_vec.h> UF_initialize(); //创建点1 ] = { 10.0, 10.0, 10.0 }; tag_t PointTag1 = NULL_TAG; UF_CURVE_create_point(Point1, &PointTag1); //创建点2 ] = { 100.0, 100.0, 100.0 }; tag_t…
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
文章转载自唐康林NX二次开发论坛,原文出处: http://www.nxopen.cn/thread-126-1-1.html 刚才有同学问到这个问题,如果是用NXOpen来做,直接录制一下就可以了: 在UFUN里面没有直接的函数: 思路就是: .先将工程图转换为cgm .调用系统的cgm2pdf.exe工具,将上一步转换的cgm再转成PDF格式: 以下是我写的一个例子.大家可以拿一个工程图测试以下代码,最后会在C盘生成tkl.cgm与tkl.pdf两个文件. #include <uf.h>…
NX9+VS2012 //NX二次开发中常用拉伸函数为UF_MODL_create_extruded2,但是此函数不能拉伸片体, //想要拉伸片体用函数UF_MODL_create_extruded. #include <uf.h> #include <uf_curve.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); //创建直线1 UF_CURVE_line_t LineCoords…
NX9+VS2012 //NX二次开发中常用拉伸函数为UF_MODL_create_extruded2,但是此函数不能拉伸片体, //想要拉伸片体用函数UF_MODL_create_extruded. #include <uf.h> #include <uf_curve.h> #include <uf_modl.h> #include <uf_obj.h> UF_initialize(); //创建直线1 UF_CURVE_line_t LineCoords…
本文通过举四个例子来告诉大家在NX二次开发过程中会经常用到UFUN和NXOpen结合去开发,在UFUN中我们得到的是Tag_t对象,在NXOpen中得到的是TaggedObject对象,这两个是需要进行转换的.本文主要知识点为:TaggedObject->tag_t() , NXOpen::NXObjectManager::Get(BodyTag1) , feature1->JournalIdentifier()的用法. NX11+VS2013 #include <uf.h> #i…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_ui.h> #include <uf_disp.h> #include <uf_obj.h> #include <NXOpen/Annotations.hxx> UF_initialize(); //创建块 UF_FEATURE_SIGN Sign = UF_NULLSIGN; ] = {25.0, 37.0, 4…
NX9+VS2012 #include <uf.h> #include <uf_cfi.h> #include <uf_ui.h> using std::string; UF_initialize(); //内容1 //读取文本全部内容 //打开本地文本文档 , );//类型为只读,后缀类型txt为79.帮助有写到,自己去查. //读取打开的文本文档 char *Cbuf; int Num = uc4514a(Chan, &Cbuf);//只能读一行 UF_UI…
NX11+VS2013 #include <uf.h> #include <uf_layer.h> #include <uf_ui.h> UF_initialize(); UF_UI_open_listing_window(); //遍历图层 tag_t object_tag = NULL_TAG; UF_LAYER_cycle_by_layer(, &object_tag);//2为遍历第2层里的所有对象(为0是所有图层) while (object_tag…
NX9+VS2012 #include <uf.h> #include <uf_ui.h> UF_initialize(); //方法1(uc1601) uc1601();//打印 //方法2(UF_UI_write_listing_window) UF_UI_open_listing_window();//打开窗口 UF_UI_write_listing_window("HelloWorld");//打印 UF_terminate();…
NX9+VS2012 #include <uf.h> #include <uf_ui.h> UF_initialize(); //方法1(uc1601) uc1601();//打印 //方法2(UF_UI_write_listing_window) UF_UI_open_listing_window();//打开窗口 UF_UI_write_listing_window("HelloWorld");//打印 UF_terminate();…
NX9+VS2012 #include <uf.h> UF_initialize(); UF_system_info_t Info; UF_ask_system_info(&Info); lw->Open(); lw->WriteLine(Info.date_buf);//获取当前日期和时间信息 lw->WriteLine(Info.user_name);//获取用户名 lw->WriteLine(Info.program_name);//获取NX版本 lw-&…
1 NX11+VS2013 2 3 #include <uf.h> 4 #include <uf_ui.h> 5 #include <uf_layer.h> 6 7 8 9 UF_initialize(); 10 11 //获取一个图层类别的tag 12 tag_t category = NULL_TAG; 13 UF_LAYER_ask_category_tag("01.Tangkl_Solids", &category); 14 15 /…
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "ABC";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size_state = UF_DRAW_METRIC_SIZE;…
NX9+VS2012 #include <uf.h> #include <uf_draw.h> #include <uf_obj.h> #include <uf_part.h> UF_initialize(); //新建工程图(A4图纸) char* DrawingName = "Sheet1";//设置图纸名字 UF_DRAW_info_t DrawingInfo;//设置图纸大小.投影视角.视图比例等 DrawingInfo.size…
NX9+VS2012 #include <uf.h> #include <stdio.h> UF_initialize(); //UFUN方式 //设置环境变量 int a = UF_set_variable("UGII_BASE_DIR", "E:\\BaiduNetdiskDownload"); //读取环境变量 char *ptr; UF_translate_variable("UGII_BASE_DIR", &am…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> UF_initialize(); //计时开始 UF_timer_t Timer; UF_begin_timer(&Timer); //创建块 UF_FEATURE_SIGN sign = UF_NULLSIGN; ] = { 0.0, 0.0, 0.0 }; ] = { " }; tag_t blk_obj_id = NULL_TAG; UF_MODL_create_…
1 NX9+VS2012 2 3 #include <uf.h> 4 #include <uf_modl.h> 5 6 7 UF_initialize(); 8 9 //计时开始 10 UF_timer_t Timer; 11 UF_begin_timer(&Timer); 12 13 14 //创建块 15 UF_FEATURE_SIGN sign = UF_NULLSIGN; 16 double corner_pt[3] = { 0.0, 0.0, 0.0 }; 17…
NX9+VS2012 #include <uf.h> UF_initialize(); //UFUN获取环境变量路径 //将环境变量转换为字符串 char* GetName = NULL; UF_translate_variable("UGII_BASE_DIR", &GetName); //环境变量路径字符串拼接 string BaseDir1 = GetName; string BaseDir2 = "\\MODLE\\ABC.prt"; s…
NX9+VS2012 #include <uf.h> #include <NXOpen/UI.hxx> #include <NXOpen/MenuBar_MenuBarManager.hxx> NXOpen::UI *theUI = NXOpen::UI::GetUI(); UF_initialize(); //NX9只有切换到工程图模块的方法,没有获取当前模块名字的方法,所以使用UFUN的函数,混合开发. int ModuleId; UF_ask_applicatio…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_obj.h> #include <uf_ui.h> UF_initialize(); //创建圆柱 UF_FEATURE_SIGN Sign = UF_NULLSIGN; ] = {0.0, 0.0, 0.0}; "; "; ] = {0.0, 0.0, 1.0}; tag_t CylTag = NULL_TAG; U…
NX9+VS2012 #include <uf.h> #include <uf_modl.h> #include <uf_obj.h> #include <uf_ui.h> UF_initialize(); //创建圆柱 UF_FEATURE_SIGN Sign = UF_NULLSIGN; ] = {0.0, 0.0, 0.0}; "; "; ] = {0.0, 0.0, 1.0}; tag_t CylTag = NULL_TAG; U…